Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SimpleValue

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  FilterXmlObject

public interface SimpleValue
extends XmlObject

All XmlObject implementations can be coerced to SimpleValue. For any given schema type, only a subset of the conversion methods will work. Others will throw an exception.

SimpleValue is useful for declaring variables which can hold more than one similar schema type that may not happen to have a common XML base type, for example, two list types, or two unrelated integer restrictions that happen to fit into an int.

Nested Class Summary

Nested classes inherited from class org.apache.xmlbeans.XmlObject
`XmlObject.Factory`

Field Summary

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

Method Summary
`BigDecimal` | `bigDecimalValue()` Deprecated. replaced with `getBigDecimalValue()`
`BigInteger` | `bigIntegerValue()` Deprecated. replaced with `getBigIntegerValue()`
`boolean` | `booleanValue()` Deprecated. replaced with `getBooleanValue()`
`byte[]` | `byteArrayValue()` Deprecated. replaced with `getByteArrayValue()`
`byte` | `byteValue()` Deprecated. replaced with `getByteValue()`
`Calendar` | `calendarValue()` Deprecated. replaced with `getCalendarValue()`
`Date` | `dateValue()` Deprecated. replaced with `getDateValue()`
`double` | `doubleValue()` Deprecated. replaced with `getDoubleValue()`
`StringEnumAbstractBase` | `enumValue()` Deprecated. replaced with `getEnumValue()`
`float` | `floatValue()` Deprecated. replaced with `getFloatValue()`
`GDate` | `gDateValue()` Deprecated. replaced with `getGDateValue()`
`GDuration` | `gDurationValue()` Deprecated. replaced with `getGDurationValue()`
`BigDecimal` | `getBigDecimalValue()` Returns the value as a `BigDecimal`.
`BigInteger` | `getBigIntegerValue()` Returns the value as a `BigInteger`.
`boolean` | `getBooleanValue()` Returns the value as a boolean.
`byte[]` | `getByteArrayValue()` Returns the value as a byte array.
`byte` | `getByteValue()` Returns the value as a byte.
`Calendar` | `getCalendarValue()` Returns the value as a `Calendar`.
`Date` | `getDateValue()` Returns the value as a `Date`.
`double` | `getDoubleValue()` Returns the value as a double.
`StringEnumAbstractBase` | `getEnumValue()` Returns the value as a `StringEnumAbstractBase`.
`float` | `getFloatValue()` Returns the value as a float.
`GDate` | `getGDateValue()` Returns the value as a `GDate`.
`GDuration` | `getGDurationValue()` Returns the value as a `GDuration`.
`int` | `getIntValue()` Returns the value as an int.
`List` | `getListValue()` Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).
`long` | `getLongValue()` Returns the value as a long.
`Object` | `getObjectValue()` Returns a union value as a its natural friendly Java object (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).
`QName` | `getQNameValue()` Returns the value as a `QName`.
`short` | `getShortValue()` Returns the value as a short.
`String` | `getStringValue()` Returns the value as a `String`.
`SchemaType` | `instanceType()` The same as getSchemaType unless this is a union instance or nil value.
`int` | `intValue()` Deprecated. replaced with `getIntValue()`
`List` | `listValue()` Deprecated. replaced with `getListValue()`
`long` | `longValue()` Deprecated. replaced with `getLongValue()`
`void` | `objectSet(Object obj)` Deprecated. replaced with `setObjectValue(java.lang.Object)`
`Object` | `objectValue()` Deprecated. replaced with `getObjectValue()`
`QName` | `qNameValue()` Deprecated. replaced with `getQNameValue()`
`void` | `set(BigDecimal obj)` Deprecated. replaced with `setBigDecimalValue(java.math.BigDecimal)`
`void` | `set(BigInteger obj)` Deprecated. replaced with `setBigIntegerValue(java.math.BigInteger)`
`void` | `set(boolean v)` Deprecated. replaced with `setBooleanValue(boolean)`
`void` | `set(byte v)` Deprecated. replaced with `setByteValue(byte)`
`void` | `set(byte[] obj)` Deprecated. replaced with `setByteArrayValue(byte[])`
`void` | `set(Calendar obj)` Deprecated. replaced with `setCalendarValue(java.util.Calendar)`
`void` | `set(Date obj)` Deprecated. replaced with `setDateValue(java.util.Date)`
`void` | `set(double v)` Deprecated. replaced with `setDoubleValue(double)`
`void` | `set(float v)` Deprecated. replaced with `setFloatValue(float)`
`void` | `set(GDateSpecification obj)` Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`
`void` | `set(GDurationSpecification obj)` Deprecated. replaced with `setGDurationValue(org.apache.xmlbeans.GDuration)`
`void` | `set(int v)` Deprecated. replaced with `setIntValue(int)`
`void` | `set(List obj)` Deprecated. replaced with `setListValue(java.util.List)`
`void` | `set(long v)` Deprecated. replaced with `setLongValue(long)`
`void` | `set(QName obj)` Deprecated. replaced with `setQNameValue(javax.xml.namespace.QName)`
`void` | `set(short v)` Deprecated. replaced with `setShortValue(short)`
`void` | `set(String obj)` Deprecated. replaced with `setStringValue(java.lang.String)`
`void` | `set(StringEnumAbstractBase obj)` Deprecated. replaced with `setEnumValue(org.apache.xmlbeans.StringEnumAbstractBase)`
`void` | `setBigDecimalValue(BigDecimal obj)` Sets the value as a `BigDecimal`.
`void` | `setBigIntegerValue(BigInteger obj)` Sets the value as a `BigInteger`.
`void` | `setBooleanValue(boolean v)` Sets the value as a boolean.
`void` | `setByteArrayValue(byte[] obj)` Sets the value as a byte array.
`void` | `setByteValue(byte v)` Sets the value as a byte.
`void` | `setCalendarValue(Calendar obj)` Sets the value as a `Calendar`.
`void` | `setDateValue(Date obj)` Sets the value as a `Date`.
`void` | `setDoubleValue(double v)` Sets the value as a double.
`void` | `setEnumValue(StringEnumAbstractBase obj)` Sets the value as a `StringEnumAbstractBase`.
`void` | `setFloatValue(float v)` Sets the value as a float.
`void` | `setGDateValue(GDate obj)` Sets the value as a `GDate`.
`void` | `setGDurationValue(GDuration obj)` Sets the value as a `GDuration`.
`void` | `setIntValue(int v)` Sets the value as an int.
`void` | `setListValue(List obj)` Sets the value as a `List`.
`void` | `setLongValue(long v)` Sets the value as a long.
`void` | `setObjectValue(Object obj)` Sets the value as an arbitrary `Object`.
`void` | `setQNameValue(QName obj)` Sets the value as a `QName`.
`void` | `setShortValue(short v)` Sets the value as a short.
`void` | `setStringValue(String obj)` Sets the value as a `String`.
`short` | `shortValue()` Deprecated. replaced with `getShortValue()`
`String` | `stringValue()` Deprecated. replaced with `getStringValue()`
`List` | `xgetListValue()` Returns the value as a `List` of XmlAnySimpleType objects.
`List` | `xlistValue()` Deprecated. replaced with `xgetListValue()`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Method Detail

### instanceType

    public SchemaType instanceType()

  The same as getSchemaType unless this is a union instance or nil value.

  For unions, this returns the non-union consituent type of this instance. This type may change if setters are called that cause the instance to change to another constituent type of the union.

  For nil values, this returns null.

### getStringValue

    public String getStringValue()

  Returns the value as a `String`.

### getBooleanValue

    public boolean getBooleanValue()

  Returns the value as a boolean.

### getByteValue

    public byte getByteValue()

  Returns the value as a byte.

### getShortValue

    public short getShortValue()

  Returns the value as a short.

### getIntValue

    public int getIntValue()

  Returns the value as an int.

### getLongValue

    public long getLongValue()

  Returns the value as a long.

### getBigIntegerValue

    public BigInteger getBigIntegerValue()

  Returns the value as a `BigInteger`.

### getBigDecimalValue

    public BigDecimal getBigDecimalValue()

  Returns the value as a `BigDecimal`.

### getFloatValue

    public float getFloatValue()

  Returns the value as a float.

### getDoubleValue

    public double getDoubleValue()

  Returns the value as a double.

### getByteArrayValue

    public byte[] getByteArrayValue()

  Returns the value as a byte array.

### getEnumValue

    public StringEnumAbstractBase getEnumValue()

  Returns the value as a `StringEnumAbstractBase`.

### getCalendarValue

    public Calendar getCalendarValue()

  Returns the value as a `Calendar`.

### getDateValue

    public Date getDateValue()

  Returns the value as a `Date`.

### getGDateValue

    public GDate getGDateValue()

  Returns the value as a `GDate`.

### getGDurationValue

    public GDuration getGDurationValue()

  Returns the value as a `GDuration`.

### getQNameValue

    public QName getQNameValue()

  Returns the value as a `QName`.

### getListValue

    public List getListValue()

  Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).

### xgetListValue

    public List xgetListValue()

  Returns the value as a `List` of XmlAnySimpleType objects.

### getObjectValue

    public Object getObjectValue()

  Returns a union value as a its natural friendly Java object (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).

### setStringValue

    public void setStringValue(String obj)

  Sets the value as a `String`.

### setBooleanValue

    public void setBooleanValue(boolean v)

  Sets the value as a boolean.

### setByteValue

    public void setByteValue(byte v)

  Sets the value as a byte.

### setShortValue

    public void setShortValue(short v)

  Sets the value as a short.

### setIntValue

    public void setIntValue(int v)

  Sets the value as an int.

### setLongValue

    public void setLongValue(long v)

  Sets the value as a long.

### setBigIntegerValue

    public void setBigIntegerValue(BigInteger obj)

  Sets the value as a `BigInteger`.

### setBigDecimalValue

    public void setBigDecimalValue(BigDecimal obj)

  Sets the value as a `BigDecimal`.

### setFloatValue

    public void setFloatValue(float v)

  Sets the value as a float.

### setDoubleValue

    public void setDoubleValue(double v)

  Sets the value as a double.

### setByteArrayValue

    public void setByteArrayValue(byte[] obj)

  Sets the value as a byte array.

### setEnumValue

    public void setEnumValue(StringEnumAbstractBase obj)

  Sets the value as a `StringEnumAbstractBase`.

### setCalendarValue

    public void setCalendarValue(Calendar obj)

  Sets the value as a `Calendar`.

### setDateValue

    public void setDateValue(Date obj)

  Sets the value as a `Date`.

### setGDateValue

    public void setGDateValue(GDate obj)

  Sets the value as a `GDate`.

### setGDurationValue

    public void setGDurationValue(GDuration obj)

  Sets the value as a `GDuration`.

### setQNameValue

    public void setQNameValue(QName obj)

  Sets the value as a `QName`.

### setListValue

    public void setListValue(List obj)

  Sets the value as a `List`.

### setObjectValue

    public void setObjectValue(Object obj)

  Sets the value as an arbitrary `Object`.

### stringValue

    public String stringValue()

  Deprecated. replaced with `getStringValue()`

  Returns the value as a `String`. *

### booleanValue

    public boolean booleanValue()

  Deprecated. replaced with `getBooleanValue()`

  Returns the value as a boolean. *

### byteValue

    public byte byteValue()

  Deprecated. replaced with `getByteValue()`

  Returns the value as a byte. *

### shortValue

    public short shortValue()

  Deprecated. replaced with `getShortValue()`

  Returns the value as a short. *

### intValue

    public int intValue()

  Deprecated. replaced with `getIntValue()`

  Returns the value as an int. *

### longValue

    public long longValue()

  Deprecated. replaced with `getLongValue()`

  Returns the value as a long. *

### bigIntegerValue

    public BigInteger bigIntegerValue()

  Deprecated. replaced with `getBigIntegerValue()`

  Returns the value as a `BigInteger`. *

### bigDecimalValue

    public BigDecimal bigDecimalValue()

  Deprecated. replaced with `getBigDecimalValue()`

  Returns the value as a `BigDecimal`. *

### floatValue

    public float floatValue()

  Deprecated. replaced with `getFloatValue()`

  Returns the value as a float. *

### doubleValue

    public double doubleValue()

  Deprecated. replaced with `getDoubleValue()`

  Returns the value as a double. *

### byteArrayValue

    public byte[] byteArrayValue()

  Deprecated. replaced with `getByteArrayValue()`

  Returns the value as a byte array. *

### enumValue

    public StringEnumAbstractBase enumValue()

  Deprecated. replaced with `getEnumValue()`

  Returns the value as a `StringEnumAbstractBase`. *

### calendarValue

    public Calendar calendarValue()

  Deprecated. replaced with `getCalendarValue()`

  Returns the value as a `Calendar`. *

### dateValue

    public Date dateValue()

  Deprecated. replaced with `getDateValue()`

  Returns the value as a `Date`. *

### gDateValue

    public GDate gDateValue()

  Deprecated. replaced with `getGDateValue()`

  Returns the value as a `GDate`. *

### gDurationValue

    public GDuration gDurationValue()

  Deprecated. replaced with `getGDurationValue()`

  Returns the value as a `GDuration`. *

### qNameValue

    public QName qNameValue()

  Deprecated. replaced with `getQNameValue()`

  Returns the value as a `QName`. *

### listValue

    public List listValue()

  Deprecated. replaced with `getListValue()`

  Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration). *

### xlistValue

    public List xlistValue()

  Deprecated. replaced with `xgetListValue()`

  Returns the value as a `List` of XmlAnySimpleType objects. *

### objectValue

    public Object objectValue()

  Deprecated. replaced with `getObjectValue()`

  Returns a union value as a its natural friendly Java object (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration). *

### set

    public void set(String obj)

  Deprecated. replaced with `setStringValue(java.lang.String)`

  Sets the value as a `String`. *

### set

    public void set(boolean v)

  Deprecated. replaced with `setBooleanValue(boolean)`

  Sets the value as a boolean. *

### set

    public void set(byte v)

  Deprecated. replaced with `setByteValue(byte)`

  Sets the value as a byte.

### set

    public void set(short v)

  Deprecated. replaced with `setShortValue(short)`

  Sets the value as a short.

### set

    public void set(int v)

  Deprecated. replaced with `setIntValue(int)`

  Sets the value as an int.

### set

    public void set(long v)

  Deprecated. replaced with `setLongValue(long)`

  Sets the value as a long.

### set

    public void set(BigInteger obj)

  Deprecated. replaced with `setBigIntegerValue(java.math.BigInteger)`

  Sets the value as a `BigInteger`.

### set

    public void set(BigDecimal obj)

  Deprecated. replaced with `setBigDecimalValue(java.math.BigDecimal)`

  Sets the value as a `BigDecimal`

### set

    public void set(float v)

  Deprecated. replaced with `setFloatValue(float)`

  Sets the value as a float.

### set

    public void set(double v)

  Deprecated. replaced with `setDoubleValue(double)`

  Sets the value as a double.

### set

    public void set(byte[] obj)

  Deprecated. replaced with `setByteArrayValue(byte[])`

  Sets the value as a byte array.

### set

    public void set(StringEnumAbstractBase obj)

  Deprecated. replaced with `setEnumValue(org.apache.xmlbeans.StringEnumAbstractBase)`

  Sets the value as a `StringEnumAbstractBase`.

### set

    public void set(Calendar obj)

  Deprecated. replaced with `setCalendarValue(java.util.Calendar)`

  Sets the value as a `Calendar`.

### set

    public void set(Date obj)

  Deprecated. replaced with `setDateValue(java.util.Date)`

  Sets the value as a `Date`.

### set

    public void set(GDateSpecification obj)

  Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`

  Sets the value as a `GDate`.

### set

    public void set(GDurationSpecification obj)

  Deprecated. replaced with `setGDurationValue(org.apache.xmlbeans.GDuration)`

  Sets the value as a `GDuration`.

### set

    public void set(QName obj)

  Deprecated. replaced with `setQNameValue(javax.xml.namespace.QName)`

  Sets the value as a `QName`.

### set

    public void set(List obj)

  Deprecated. replaced with `setListValue(java.util.List)`

  Sets the value as a `List`.

### objectSet

    public void objectSet(Object obj)

  Deprecated. replaced with `setObjectValue(java.lang.Object)`

  Sets the value as an arbitrary `Object`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD